summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denys@ti.com>2016-04-08 00:57:08 -0400
committerRichard Purdie <richard.purdie@linuxfoundation.org>2016-04-09 23:00:44 +0100
commitd366a3319e7e938b4e24362db96562bc0d336cf7 (patch)
treee403c7f4c3cdd0fde5d27db5e2e02ee0c39214cc /meta/recipes-devtools
parent5e360ca1357276d9a05a2da4963b45791b62526d (diff)
downloadpoky-d366a3319e7e938b4e24362db96562bc0d336cf7.tar.gz
opkg-utils: re-do find/ls code to not fail on filenames with spaces
(From OE-Core rev: e3e305135d258bee3ae30a2c7262b886d710b986) Signed-off-by: Denys Dmytriyenko <denys@ti.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-devtools')
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch56
-rw-r--r--meta/recipes-devtools/opkg-utils/opkg-utils_git.bb3
2 files changed, 58 insertions, 1 deletions
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch b/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
new file mode 100644
index 0000000000..5cbb55a7dc
--- /dev/null
+++ b/meta/recipes-devtools/opkg-utils/opkg-utils/0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch
@@ -0,0 +1,56 @@
1From 8e424296ce2af4a5a7392c38a31f8723f9b9fbda Mon Sep 17 00:00:00 2001
2From: Denys Dmytriyenko <denys@ti.com>
3Date: Thu, 7 Apr 2016 20:43:13 -0400
4Subject: [PATCH] opkg-build: re-do find/ls code to not fail on filenames with
5 spaces
6
7Signed-off-by: Denys Dmytriyenko <denys@ti.com>
8---
9 opkg-build | 9 ++++-----
10 1 file changed, 4 insertions(+), 5 deletions(-)
11
12diff --git a/opkg-build b/opkg-build
13index a9ccad2..07305b2 100755
14--- a/opkg-build
15+++ b/opkg-build
16@@ -6,7 +6,6 @@
17 # 2003-04-25 rea@sr.unh.edu
18 # Updated to work on Familiar Pre0.7rc1, with busybox tar.
19 # Note it Requires: binutils-ar (since the busybox ar can't create)
20-# For UID debugging it needs a better "find".
21 set -e
22
23 version=1.0
24@@ -47,12 +46,12 @@ pkg_appears_sane() {
25
26 PKG_ERROR=0
27
28- tilde_files=`find . -name '*~'`
29+ tilde_files=`find . -name '*~' -ls -printf '\\\n'`
30 if [ -n "$tilde_files" ]; then
31 if [ "$noclean" = "1" ]; then
32 echo "*** Warning: The following files have names ending in '~'.
33 You probably want to remove them: " >&2
34- ls -ld $tilde_files
35+ echo -e $tilde_files
36 if [ $? -ne 0 ]; then
37 echo "*** Error: Fail to list files have names ending in '~'."
38 exit 1
39@@ -64,12 +63,12 @@ You probably want to remove them: " >&2
40 fi
41 fi
42
43- large_uid_files=`find . -uid +99 || true`
44+ large_uid_files=`find . -uid +99 -ls -printf '\\\n' || true`
45
46 if [ "$ogargs" = "" ] && [ -n "$large_uid_files" ]; then
47 echo "*** Warning: The following files have a UID greater than 99.
48 You probably want to chown these to a system user: " >&2
49- ls -ld $large_uid_files
50+ echo -e $large_uid_files
51 if [ $? -ne 0 ]; then
52 echo "*** Error: Fail to list files have a UID greater than 99."
53 exit 1
54--
552.2.0
56
diff --git a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
index 22f45a1d8d..8873b28701 100644
--- a/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
+++ b/meta/recipes-devtools/opkg-utils/opkg-utils_git.bb
@@ -11,7 +11,8 @@ SRCREV = "53274f087565fd45d8452c5367997ba6a682a37a"
11PV = "0.1.8+git${SRCPV}" 11PV = "0.1.8+git${SRCPV}"
12 12
13SRC_URI = "git://git.yoctoproject.org/opkg-utils \ 13SRC_URI = "git://git.yoctoproject.org/opkg-utils \
14 file://opkg-build-Exit-when-fail-to-list-files.patch" 14 file://opkg-build-Exit-when-fail-to-list-files.patch \
15 file://0001-opkg-build-re-do-find-ls-code-to-not-fail-on-filenam.patch"
15SRC_URI_append_class-native = " file://tar_ignore_error.patch" 16SRC_URI_append_class-native = " file://tar_ignore_error.patch"
16 17
17S = "${WORKDIR}/git" 18S = "${WORKDIR}/git"